ServerEvents.recipes(event => {
	// Gate wireless ender power behind improved intelligent grist
	event.recipes.powah.energizing(['#forge:ender_pearls', 'powah:dielectric_casing', '#kubejs:grist/energetic/radiant', '#kubejs:grist/intelligent/improved'], 'powah:ender_core', 50000)

	event.shaped('powah:aerial_pearl', [
		'ABA',
		'BCB', 
		'ABA'
	], {
		'A': 'powah:dielectric_paste',
		'B': '#chipped:iron_bars',
		'C': '#kubejs:grist/intelligent/improved'
	})

	// Dielectric casings are used in nearly every powah recipe, so lets require energetic grist
	event.shaped('powah:dielectric_casing', [
		'ABA',
		'CDC',
		'ABA'
	], {
		'A': global.ingotItem('iron'),
		'B': 'powah:dielectric_rod_horizontal',
		'C': 'powah:dielectric_rod',
		'D': global.ingotItem('copper')
	});

	event.replaceInput(
        {id: 'powah:crafting/capacitor_basic'},
        'minecraft:redstone_block',
        '#kubejs:grist/energetic/basic'
    );
	event.shapeless('powah:capacitor_basic', [
		'3x powah:capacitor_basic_tiny',
		'2x powah:dielectric_paste'
	]);

	event.shapeless('powah:capacitor_basic_tiny', [
		'3x #kubejs:grist/energetic/basic',
		'thermal:rf_coil'
	]);

	event.recipes.powah.energizing(['minecraft:diamond', '#kubejs:grist/energetic/improved'], 'powah:crystal_niotic', 180000);
	event.recipes.powah.energizing(['minecraft:emerald', '2x #kubejs:grist/energetic/improved'], 'powah:crystal_spirited', 1000000);
    event.shapeless('6x powah:dielectric_paste', [
        'kubejs:grist_primordeal_basic',
        'kubejs:grist_energetic_basic',
        'minecraft:redstone',
        'minecraft:clay_ball',
        '#alltheores:ore_hammers'
    ]);
});